
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


-- --------------------------------------------------------

--
-- Table structure for table `api_keys`
--

CREATE TABLE IF NOT EXISTS `api_keys` (
  `ID` int(11) NOT NULL auto_increment,
  `Key` varchar(50) NOT NULL,
  `Used` int(10) NOT NULL default '0',
  `Limit` int(10) NOT NULL default '1000',
  `Date` date NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=19 ;

--
-- Dumping data for table `api_keys`
--



-- --------------------------------------------------------

--
-- Table structure for table `general`
--

CREATE TABLE IF NOT EXISTS `general` (
  `Name` varchar(100) NOT NULL,
  `Value` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `general`
--

INSERT INTO `general` (`Name`, `Value`) VALUES
('Title', 'Rapid Search Script'),
('Search_Divider', '::'),
('History_Limit', '100'),
('Ad_Code', ''),
('Default_Search_Term', 'Begin Search'),
('Ad_Code_Downloads', ''),
('admin_username', 'admin'),
('admin_password', 'admin'),
('Get_Method', 'cURL');

-- --------------------------------------------------------

--
-- Table structure for table `history`
--

CREATE TABLE IF NOT EXISTS `history` (
  `ID` int(11) NOT NULL auto_increment,
  `Query` varchar(40) NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=14 ;

--
-- Dumping data for table `history`
--


-- --------------------------------------------------------

--
-- Table structure for table `stats`
--

CREATE TABLE IF NOT EXISTS `stats` (
  `Name` varchar(100) NOT NULL,
  `Value` int(100) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `stats`
--

INSERT INTO `stats` (`Name`, `Value`) VALUES
('Searches', 0),
('Downloads', 0),
('PageLoads', 0);
